using Microsoft.Extensions.Configuration;
using System;
using System.IO;
namespace Integracion_DGA
{
    class Program
    {
        static async Task Main(string[] args)
        {
            Console.WriteLine("Inicio integracion DGA"+Directory.GetCurrentDirectory());
            var configuration = new ConfigurationBuilder()
                .SetBasePath(Directory.GetCurrentDirectory())
                .AddJsonFile("appsettings.json", optional: false, reloadOnChange: true)
                .Build();

            string cadenaConexion = configuration.GetConnectionString("DefaultConnection");
            Console.WriteLine("Cadena de conexión: " + cadenaConexion);

            var bll = new BLL.BLLService(configuration);
            bll.test();

            var mediciones = await bll.ObtenerMedicionesAsync();



            Console.ReadKey();
        }
    }
}
